package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description 你拖延到什么程度了?
 */
public class WHDScale extends BaseScale {
    public WHDScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public JSONObject scaleCalculate() throws Exception {
        //总分
        int score = 0;

        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("checkItems").equals("是")) {
                score += 1;
            } else if (jsonObject1.getString("checkItems").equals("否")) {
                score += 0;
            }
        }


        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));


        if (score >= 0 && score <= 4) {
            resultMap.put("总分结论", "你有【轻微的拖延倾向】，你所完成的工作常常都不是很完美，因为你没有给自己充足的时间去好好雕琢细节。你会有轻微的拖延倾向，但这并没有影响你的整体工作效率。好好思考自己在哪个环节上易产生拖延，然后在这方面努力做出一些改变吧！");
            resultJson.put("总分结论", "你有【轻微的拖延倾向】，你所完成的工作常常都不是很完美，因为你没有给自己充足的时间去好好雕琢细节。你会有轻微的拖延倾向，但这并没有影响你的整体工作效率。好好思考自己在哪个环节上易产生拖延，然后在这方面努力做出一些改变吧！");
        } else if (score >= 5 && score <= 11) {
            resultMap.put("总分结论", "你有【中度拖延倾向】，我知道你不喜欢自己拖延，但你离重度拖延不远啦！你总是心急火燎地赶工，在最后一刻完成任务。当回头看自己的一天甚至过去的一周时，你都会很惊奇感慨：“这些时间都去哪儿了？我都干了些什么？”你可以通过对任务进行优先级管理来帮助自己摆脱拖延，并思考思考到底什么才是你生命最重要的。");
            resultJson.put("总分结论", "你有【中度拖延倾向】，我知道你不喜欢自己拖延，但你离重度拖延不远啦！你总是心急火燎地赶工，在最后一刻完成任务。当回头看自己的一天甚至过去的一周时，你都会很惊奇感慨：“这些时间都去哪儿了？我都干了些什么？”你可以通过对任务进行优先级管理来帮助自己摆脱拖延，并思考思考到底什么才是你生命最重要的。");
        } else if (score >= 12 && score <= 15) {
            resultMap.put("总分结论", "你有【重度拖延倾向】，你习惯于把重要的工作和一些毫不相关的小事混在一起。你经常拖延工作甚至根本就无视工作。你把大把时间浪费在了制定计划和目标、做白日梦上面。或许你需要一个时间管理教练，或自己开始学习时间管理。时间管理能教你设定可达成的目标，并且找到终结拖延习惯的积极途径，你一定会从中受益！");
            resultJson.put("总分结论", "你有【重度拖延倾向】，你习惯于把重要的工作和一些毫不相关的小事混在一起。你经常拖延工作甚至根本就无视工作。你把大把时间浪费在了制定计划和目标、做白日梦上面。或许你需要一个时间管理教练，或自己开始学习时间管理。时间管理能教你设定可达成的目标，并且找到终结拖延习惯的积极途径，你一定会从中受益！");
        }


        List<Map<String, String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList", resultMapList);
        returnJson.put("scaleName", Constant.SHEET_NAME_WHD);
        returnJson.put("resultJson", resultJson);

        return returnJson;
    }
}
